/*********************************************************************/
/*      Licensed Materials - Property of IBM                         */
/*      "Restricted Materials of IBM"                                */
/*      5748-T15                                                     */
/*      (C) Copyright IBM Corp. 2005                                 */
/*      All Rights Reserved                                          */
/*      US Government Users Restricted Rights - Use, duplication     */
/*      or dislosure restricted by GSA ADP Schedule Contract         */
/*      with IBM Corp.                                               */
/*********************************************************************/
/* This file is provided on an "as is" basis.  There are no          */
/* warranties, express or implied, including the implied warranties  */
/* of merchantability and fitness for a particular purpose.          */
/* IBM has no obligation to provide service, defect correction, or   */
/* any maintenance for the file.  IBM has no obligation to supply    */
/* any updates or enhancements for the file to you even if such are  */
/* or later become available.                                        */
/*********************************************************************/
/* Change History                                                    */
/* 20041001  Initial Version                                         */
/*                                                                   */
/*                                                                   */
/*                                                                   */
/*********************************************************************/
/* GENERAL INFORMATION:                                              */
/*                                                                   */
/* Header name:   c_api5.h                                           */
/*                                                                   */
/* Abstract:      Defines function prototypes, structures and        */
/*                constants for the z/TPF API5 driver.               */
/*                                                                   */
/*********************************************************************/

#ifndef __tapi5_
#define __tapi5_

/*-----------------------------------------------------------------*/
/* macros definition                                               */
/*-----------------------------------------------------------------*/

#define prterr(x) printf("%s *** Case Failed *** \n", x)
#define prtmsg(x) if ( ecbptr()->ebcm01 == TRUE ) printf(x);  else

typedef struct api5parms {
            int        icase;
            short int  snap;
            char       pname[4];
            char       lset[8];
            char       bso;
            char       cso;

   } api5parms;                                                                 //DignusDR

#endif
