/*********************************************************************/
/*      Licensed Materials - Property of IBM                         */
/*      "Restricted Materials of IBM"                                */
/*      5748-T15                                                     */
/*      (C) Copyright IBM Corp. 2005                                 */
/*      All Rights Reserved                                          */
/*      US Government Users Restricted Rights - Use, duplication     */
/*      or dislosure restricted by GSA ADP Schedule Contract         */
/*      with IBM Corp.                                               */
/*********************************************************************/
/* This file is provided on an "as is" basis.  There are no          */
/* warranties, express or implied, including the implied warranties  */
/* of merchantability and fitness for a particular purpose.          */
/* IBM has no obligation to provide service, defect correction, or   */
/* any maintenance for the file.  IBM has no obligation to supply    */
/* any updates or enhancements for the file to you even if such are  */
/* or later become available.                                        */
/*********************************************************************/
/* Change History                                                    */
/* 20041001  Initial Version                                         */
/*                                                                   */
/*                                                                   */
/*                                                                   */
/*********************************************************************/
/* GENERAL INFORMATION:                                              */
/*                                                                   */
/* Load module name:  QMAC                                           */
/* Segment Name:      qmac21.cpp                                     */
/*                                                                   */
/*                                                                   */
/*********************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <tpf/tpfapi.h>
#include <tpf/sysapi.h>
#include <tpf/c_idspat.h>                                                             //C64CF
#include <c_api5.h>

extern "C" {

void tsgrp_func()
{
   struct pat *  patpointer;
   int i = 0;
   char msg[180];
   char buffer1[8];
   char buffer2[8];
   char buffer3[9] = "IBM_DEFT";
   prtmsg("START OF TRACE_GROUP DRIVER\n");

   for(i = 0 ; i < 257; i++)
   {
     patpointer = (struct pat *) cinfc(CINFC_WRITE,CINFC_CMMICD);
     patpointer = (struct pat *) progc("QMAH",PROGC_PBI);
     sprintf (buffer1, "%d", i);
     sprintf (buffer2, "%s","APP");
     strcat(buffer2,buffer1);
     strcpy((char *)patpointer->pattrgrp,buffer2);
     patpointer->pattrindx = i;

     if(i == 254)  {
        strcpy((char *)patpointer->pattrgrp,buffer3);
     }

     sprintf(msg, "program name:%.4s trace group:%.8s trace index:%d\n",
                  patpointer->patname,
                  patpointer->pattrgrp,
                  patpointer->pattrindx );
     prtmsg(msg);

     keyrc();
   } /*end of loop*/
    prtmsg("END OF TRACE_GROUP DRIVER\n");
} /* end of test_group func */
}  /* extern "C" */
