#######################################################################
#          Licensed Materials - Property of IBM                       #
#          "Restricted Materials of IBM"                              #
#          5748-T15                                                   #
#          Copyright IBM Corp. 2005,2011                               #
#          All Rights Reserved                                        #
#          US Government Users Restricted Rights - Use, duplication   #
#          or disclosure restricted by GSA ADP Schedule Contract      #
#          with IBM Corp.                                             #
#######################################################################
#  This file is provided on an "as is" basis.  There are no           #
#  warranties, express or implied, including the implied warranties   #
#  of merchantability and fitness for a particular purpose.           #
#  IBM has no obligation to provide service, defect correction, or    #
#  any maintenance for the file.  IBM has no obligation to supply     #
#  any updates or enhancements for the file to you even if such are   #
#  or later become available.                                         #
#######################################################################
#  Change History                                                     #
#  20041001  Initial Version                                          #
#  20110207  Rename Q111 and Q222 to QM11 and QM22 to resolve         #
#            program name conflicts with libstdc++34. Refer to        #
#            feature/defect 21558 and 21700 for more info.            #                                                                   #
#                                                                     #
#                                                                     #
#######################################################################

################################################################################
# Sample make to create a BSO (multi-object)
# - to be named using the bso 4 character name, for example bso1.mak
################################################################################

APP := QMAX

TPF_DRIVER = api5

################################################################################
# Define the envs needed to build this module, in the order of precedence
################################################################################

maketpf_env := drvs
maketpf_env += base_rt
maketpf_env += system

################################################################################
# Segments to be assembled
################################################################################

ASM_SRC := qmax.asm
ASM_SRC += qm11.asm
ASM_SRC += qm22.asm

################################################################################
# Include the maketpf.rules
################################################################################

include maketpf.rules
