/*********************************************************************/
/*      Licensed Materials - Property of IBM                         */
/*      "Restricted Materials of IBM"                                */
/*      5748-T15                                                     */
/*      (C) Copyright IBM Corp. 2005                                 */
/*      All Rights Reserved                                          */
/*      US Government Users Restricted Rights - Use, duplication     */
/*      or dislosure restricted by GSA ADP Schedule Contract         */
/*      with IBM Corp.                                               */
/*********************************************************************/
/* This file is provided on an "as is" basis.  There are no          */
/* warranties, express or implied, including the implied warranties  */
/* of merchantability and fitness for a particular purpose.          */
/* IBM has no obligation to provide service, defect correction, or   */
/* any maintenance for the file.  IBM has no obligation to supply    */
/* any updates or enhancements for the file to you even if such are  */
/* or later become available.                                        */
/*********************************************************************/
/* Change History                                                    */
/* 20070713  Initial Version                                         */
/*                                                                   */
/*                                                                   */
/*                                                                   */
/*********************************************************************/
/* GENERAL INFORMATION:                                              */
/*                                                                   */
/* Header Name:   qmac80.h                                           */
/*                                                                   */
/* Description:   Header file used by API CRET segments.             */
/*                                                                   */
/*********************************************************************/
#ifndef __qmac80_h__
#define __qmac80_h__

struct cretc_parms {
   int               desiredElapsedTime; //how long before activating ECB
   int               units;              //CRETC_SECONDS or CRETC_MINUTES
   int               state;              //CRETC_1052 (optional parm)
   struct timeval    StartTime;          //time when the cretc() issued
};

#endif /* ndef __qmac80_h__ */
