         PRINT NOGEN
         BEGIN NAME=QMAZ
***********************************************************************
*          Licensed Materials - Property of IBM                       *
*          "Restricted Materials of IBM"                              *
*          5748-T15                                                   *
*          (C) Copyright IBM Corp. 2005                               *
*          All Rights Reserved                                        *
*          US Government Users Restricted Rights - Use, duplication   *
*          or disclosure restricted by GSA ADP Schedule Contract      *
*          with IBM Corp.                                             *
***********************************************************************
*  This file is provided on an "as is" basis.  There are no           *
*  warranties, express or implied, including the implied warranties   *
*  of merchantability and fitness for a particular purpose.           *
*  IBM has no obligation to provide service, defect correction, or    *
*  any maintenance for the file.  IBM has no obligation to supply     *
*  any updates or enhancements for the file to you even if such are   *
*  or later become available.                                         *
***********************************************************************
*  Change History                                                     *
*  20041001  Initial Version                                          *
*                                                                     *
*                                                                     *
*                                                                     *
***********************************************************************
         PRMSG TEXT='QMAZ: Starting BSO linkage tests'
         ALLOC SIZE=4096,ADDR=R5
         LA    R0,0
         LA    R1,1
         LA    R2,2
         LA    R3,3
         LA    R4,4
         LA    R6,6
         LA    R7,7
         CLINKC RTN=SUBRT1
         CHI   R0,0
         BNE   BAD1
         CHI   R1,1
         BNE   BAD1
         CHI   R2,2
         BNE   BAD1
         CHI   R3,3
         BNE   BAD1
         CHI   R4,4
         BNE   BAD1
         CHI   R6,6
         BNE   BAD1
         PRMSG TEXT='QMAZ: Register save/restore test passed'
RTN1     LA    R7,SUBRT2
         CLINKC RTN=(R7)          Test nested linkages
         PRMSG TEXT='QMAZ: Ending BSO linkage tests'
         BACKC ,
*
BAD1     DS    0H
         PRMSG TEXT='QMAZ: Register save/restore test failed'
         B     RTN1               Continue with other tests
*
SUBRT1   SLINKC BASE=R8
         ALLOC SIZE=1000,ADDR=R7
         LA    R0,10
         LA    R1,11
         LA    R2,22
         LA    R3,33
         LA    R4,44
         LA    R5,55
         LA    R6,66
         LA    R7,77
         LA    R8,88
         RLINKC
         ELINKC
SUBRT2   SLINKC BASE=R1
     LGR    R6,R7
     CLINKC RTN=SUBRT3
     CGR    R6,R7
     BE     SUBRT21             Restored all correctly
     BAS   R7,COMPERR
     B       RETURN
SUBRT21 DS 0H
     PRMSG TEXT='QMAZ: Multi-nested register save/restore test passed'
     LA     R3,150
     CGR    R3,R4
     BE     SUBRT22             Returned all correctly
     BAS   R7,RETERR
     B       RETURN
SUBRT22 DS 0H
     PRMSG TEXT='QMAZ: Multi-nested parameter test passed'
RETURN DS 0H
     ELINKC
     RLINKC
*
SUBRT3  DS  0H
     SLINKC
     LA  R4,50
     LA  R2,2
     CLINKC RTN=SUBRT4
     LA  R3,2
     CGR R3,R2
     BE    SUBRT31
     BAS R7,COMPERR
SUBRT31 DS 0H
     ELINKC
     RLINKC  PARMS=R4
*
SUBRT4  DS  0H
     SLINKC
     LA  R4,100
     LA  R3,30
     CLINKC RTN=SUBRT5
     LA  R2,30
     CGR R3,R2
     BE   SUBRT31
     BAS R7,COMPERR
SUBRT41 DS 0H
     ELINKC
     RLINKC  PARMS=R4
*
SUBRT5  DS  0H
     SLINKC
     LA   R4,150
     LA  R2,200
     LA  R3,300
     ELINKC
     RLINKC  PARMS=R4
*
COMPERR    DS   0H
     PRMSG TEXT='QMAZ: Nested register save/restore test failed'
     BR   R7
*
RETERR     DS   0H
     PRMSG TEXT='QMAZ: Nested return parameter test failed'
     BR   R7
*
         FINIS
         END
